%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-altgraph
Version:        0.6.7
Release:        2%{?dist}
Summary:        Python graph (network) package

Group:          Applications/Engineering
License:        MIT
URL:            http://undefined.org/python/#altgraph
Source0:        http://pypi.python.org/packages/source/a/altgraph/altgraph-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel

Requires:       pydot


%description
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.


%prep
%setup -q -n altgraph-%{version}
#Dot.py is provided by graphviz through pydot
rm altgraph/Dot.py


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc PKG-INFO test/test_altgraph.py
%{python_sitelib}/altgraph/
%{python_sitelib}/altgraph*.egg-info


%changelog
* Fri Apr 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.7-2
- Removed ./
- Reworked doc part

* Sat Apr 11 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.7-1
- Initial spec for Fedora
